> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blinkops.com/llms.txt
> Use this file to discover all available pages before exploring further.

> API endpoint to list all step executions for a specified workflow execution.

# List step executions for a specified execution



## OpenAPI

````yaml get /workspace/{ws_id}/executions/{id}/steps
openapi: 3.0.1
info:
  title: Blink REST API
  description: >-
    The Blink REST API provides programmatic access to Blink data and
    functionality, enabling the management of resources such as workflows,
    users, cases, and more.
  termsOfService: https://www.blinkops.com/terms-of-use
  contact:
    name: API Support
    url: http://blinkops.com/support
    email: support@blinkops.com
  version: '1.0'
servers:
  - url: https://app.blinkops.com/api/v1
security: []
tags:
  - name: Controller
    description: Controller health and stats
  - name: Connections
    description: Manage your connections
  - name: Integrations
    description: Manage your integrations
  - name: Invites
    description: Manage your invites
  - name: Workflows
    description: Create and execute your workflows
  - name: Executions
    description: Get information and manage executions
  - name: Runners
    description: Configure your runners
  - name: Tables
    description: Manage your tables
  - name: Case Management
    description: Manage your cases
  - name: User Settings
    description: Manage user settings
  - name: Webhook
    description: Send to webhook
  - name: workspaces
    description: Manage your workspaces
  - name: User Info
    description: Get Information on current user
  - name: Portal
    description: Manage your portal apps
  - name: Groups
    description: Manage your Groups
  - name: Users
    description: Manage your users
paths:
  /workspace/{ws_id}/executions/{id}/steps:
    get:
      tags:
        - Executions
      summary: List step executions for a specified execution
      description: Returns all step execution records for the given playbook execution.
      operationId: GetStepsExecutionDetails
      parameters:
        - name: ws_id
          in: path
          description: The ID of the workspace containing the execution
          required: true
          schema:
            type: string
        - name: id
          in: path
          description: The ID of the playbook execution contains the step executions
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Paginated step executions response
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/api_responses.PagingInfo'
                  - type: object
                    properties:
                      results:
                        type: array
                        items:
                          $ref: '#/components/schemas/models.StepExecutionWithSubflow'
        '400':
          description: Missing execution ID
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_responses.ErrorWrapper'
        '500':
          description: Failed to load step executions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api_responses.ErrorWrapper'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    api_responses.PagingInfo:
      type: object
      properties:
        limit:
          type: integer
        offset:
          type: integer
        total:
          type: integer
    models.StepExecutionWithSubflow:
      type: object
      properties:
        action:
          type: string
        async_subflow_execution_ids:
          type: array
          items:
            type: string
        billed_state_counts:
          type: object
          additionalProperties:
            type: string
        cmd_id:
          type: string
        continue_on_error:
          type: boolean
        created_at:
          type: integer
        created_by:
          type: string
        error_caught:
          type: boolean
        error_data:
          type: string
        evaluated_expressions:
          type: object
          additionalProperties:
            type: string
        execution_count:
          type: integer
        execution_id:
          type: string
        finished_at:
          type: integer
        id:
          type: string
        input_parameters:
          $ref: '#/components/schemas/action_inputs.InputParams'
        original_output:
          type: string
        output_data:
          type: string
        parent_step_ids:
          type: array
          items:
            type: string
        response_type:
          type: integer
        runner:
          type: string
        runner_cluster_version:
          type: string
        runner_group_id:
          type: string
        runner_version:
          type: string
        started_at:
          type: integer
        state:
          type: string
        step_id:
          type: string
        subflow_execution_id:
          type: string
        subflow_id:
          type: string
        sync_subflow_execution_ids:
          type: array
          items:
            type: string
        tenant_id:
          type: string
        timeout:
          type: integer
        updated_at:
          type: integer
        updated_by:
          type: string
    api_responses.ErrorWrapper:
      type: object
      properties:
        data:
          type: object
        details:
          type: string
        identifier:
          type: string
        message:
          type: string
        status:
          type: integer
          example: 404
        user_error:
          type: object
    action_inputs.InputParams:
      type: object
      additionalProperties: true
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: >-
        Use your API key to access BlinkOps API. To generate an API key, please
        log in to your BlinkOps account and navigate to the API Keys section in
        the user settings page. Add the generated key to your request headers as
        BLINK-API-KEY.
      name: BLINK-API-KEY
      in: header

````